Package com.castlabs.android.drm

## Enum KeyStatus

- java.lang.Object
- - java.lang.Enum<KeyStatus>
  - - com.castlabs.android.drm.KeyStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeyStatus>`

      public enum KeyStatus
      extends Enum<KeyStatus>

  DRM key status types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Invalid` | Key response is received and the key is not-usable for playback
    `NotFound` | Key response is received but the key was not found and therefore not-usable for playback
    `OutputNotAllowed` | Key response is received but the key can not be used due to digital output protection settings
    `Unknown` | No information about the key yet
    `Usable` | Key response is received and the key is usable for playback
    `Waiting` | Key request was sent but no response received yet

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeyStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeyStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final KeyStatus Unknown

      No information about the key yet

    - #### Waiting

          public static final KeyStatus Waiting

      Key request was sent but no response received yet

    - #### Usable

          public static final KeyStatus Usable

      Key response is received and the key is usable for playback

    - #### Invalid

          public static final KeyStatus Invalid

      Key response is received and the key is not-usable for playback

    - #### NotFound

          public static final KeyStatus NotFound

      Key response is received but the key was not found and therefore not-usable for playback

    - #### OutputNotAllowed

          public static final KeyStatus OutputNotAllowed

      Key response is received but the key can not be used due to digital output protection settings

  - ### Method Detail

    - #### values

          public static KeyStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyStatus c : KeyStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null